%define upstream_name    Unix-Processors
%define upstream_version 2.044

Summary:    Interface to processor (CPU) information
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/UNIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(warnings) >= 1.0.0
BuildRequires: perl-devel
%description
Perl interface to processor (CPU) information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.44.0-3pclos2017
- rebuild against updates
